{% set title = 'Import SIG' %}
{% set notfluid = true %}

{% extends 'report/reportLayout.twig' %}

{% block css %}

    <style type="text/css">

        .form-group {
            clear: both;
            text-align: center;
            padding: 10px;
            margin-bottom: 0;
        }
        .control-label {
            float: left;
            width: 30%;
            text-align: right;
            font-size: 1.1em;
            padding: 5px;
            margin-right: 10px;
        }

        .form-control {
            float: left;
            width: 60%;
            margin-right: 10px;
        }

        .form-btn {
            float: left;
            width: 60%;
            margin-left: 10px;
            margin-top:10px;
        }


        .btn {
            clear: both;
            margin-left: auto;
            margin-right: auto;
        }
    </style>

{% endblock %}

{% block content %}
    {% set flash = app.session.getFlashBag.get('message') %}
    {% if flash|length>0 %}

        {% set message = flash.0 %}

        <h1 class="text-{{ message.status }}">{{message.text }}</h1>

        <p>{{ message.rapport|raw}}</p>
        <p>Rapport enregistré :
            {{ message.res_rapport|raw}}</p>

    {% else %}

        <div class="text-center">
            <h1>Import de couches SIG</h1>

            <div class="row" style="margin-top:4em;margin-bottom:4em;">
                <div class="col-xs-2"></div>
                <div class="col-xs-2 card" style="{{ step|default(0) == 1 ? 'color:#ffffff;background-color:var(--sysma-color)' : 'color:#cccccc!important;' }}">
                    <h2>Etape 1<br>
                        <small {{ step|default(0) == 1 ? 'style="color:#ffffff"' }}>Choix de la couche à importer</small>
                    </h2>
                </div>
                <div class="col-xs-1" style="margin-top:2em;color:#cccccc">
                    <span class="glyphicon glyphicon-chevron-right"></span>
                </div>
                <div class="col-xs-2 card" style="{{ step|default(0) == 2 ? 'color:#ffffff;background-color:var(--sysma-color)' : 'color:#cccccc!important;' }}">
                    <h2>
                        Etape 2<br>
                        <small {{ step|default(0) == 2 ? 'style="color:#ffffff"' }}>Choix du type d'objet Sysma correspondant</small>
                    </h2>
                </div>
                <div class="col-xs-1" style="margin-top:2em;color:#cccccc">
                    <span class="glyphicon glyphicon-chevron-right"></span>
                </div>
                <div class="col-xs-2 card" style="{{ step|default(0) == 3 ? 'color:#ffffff;background-color:var(--sysma-color)' : 'color:#cccccc!important;' }}">
                    <h2>
                        Etape 3<br>
                        <small {{ step|default(0) == 3 ? 'style="color:#ffffff"' }}>Correspondance des champs</small>
                    </h2>
                </div>
            </div>


            {% if step|default(0) == 1 %}

                <p>Cette page permet d'importer une couche SIG présente dans votre schéma de travail (QGis > Base de données >
                    {{ U.user_schema }})</p>

            {% endif %}
        </div>

        

        {% if form is defined %}
            <form method='post' action='{{ url('import-gis') }}' novalidate>


                <div class="row">
                    <div class="col-lg-12">


                        {% form_theme form 'bootstrap_3_layout.html.twig' %}
                        {{ form_widget(form) }}


                    </div>
                </div>

                <div class="row">
                    <div class="control-label"></div>
                    <div class="form-btn">
                        <button type="submit" class="btn btn-primary">
                            <span class="glyphicon glyphicon-forward"></span>
                            Etape suivante
                        </button>
                    </div>
                </div>
            </form>

        {% endif %}

        <div class="row">
            <div class="col-xs-2"></div>
            <div class="col-xs-8">
            

                {% if res is defined %}

                    <h3 class="text-{{ res.status }}">{{ res.message|raw }}</h3>
                    <p>{{ res.errorCount }}
                        erreur(s)</p>

                    {{ res.report|raw }}

                {% endif %}

              

                {% if form_message is defined %}
                    {{ form_message|raw  }}
                {% endif %}
            </div>
        </div>

    {% endif %}
{% endblock %}
